if (Test-Path installed) {
  exit 0
} else {
  $exitcode = (Start-Process -FilePath powershell -ArgumentList "-ExecutionPolicy Unrestricted -File ./InstallEna.ps1" -Wait -Passthru).ExitCode
  if ($exitcode -ne 0) { 
    echo "installation failed with code $exitcode"; exit $exitcode 
  } else { 
    New-Item installed -ItemType file | out-null
    exit 3010 
  }
}
